cc-tool(1)

NAME
cc-tool - control Texas Instruments CC Debugger

SYNOPSIS
cc-tool [options]

DESCRIPTION
cc-tool provides support of Texas Instruments CC Debugger and several evaluation boards to program TI 8051-based System-On-Chip devices

SUPPORTED DEVICES
CC Debugger (VID: 0x0451 PID: 0x16a2)
SmartRF04 Evaluation Board (VID: 0x11a0 PID: 0xdb20)
SmartRF04 Evaluation Board (Chinese) (VID: 0x11a0 PID: 0xeb20)
SmartRF05 Evaluation Board (VID: 0x0451 PID: 0x16a0)

SUPPORTED TARGETS
CC2540 CC2541 CC2543 CC2544 CC2545 CC2530 CC2531 CC2533 CC2430 CC2431 CC2510 CC2511 CC1110 CC1111

OPTIONS

-h, --help
    print help message

-d, --device bus_number:device_number
    set programmer device usb address. The option should be used only if several CC Debugger devices connected to the system simultaneously. (you can use lsusb utility to enumerate devices connected to the system)

-f, --fast
    set fast debug interface speed (by default: slow)

-i, --read-info-page [file_name]
    read target info page (if target supports any). If no file-name specified data will be send to standard output.

-r, --read file_name
    read flash memory and save to the specified file

-a, --read-mac-address
    read target's mac address(es) (if target supports any).

-b, --write-mac-address xx:xx:xx:xx:xx:xx[:xx:xx]
    write target's secondary mac address (if target supports any). mac address should be specified in hex notation, MSB first. The length of the address must be 6 or 8 bytes depending on target.

-p, --preserve-mac-address
    before erasing target (secondary) mac address is read out and will be written back after flash programming.

-e, --erase
    erase flash memory completely and reset lock bits

-w, --write file_name[,offset]
    write specified file into flash memory. Optional offset value (in decimal) is an absolute target flash address and supported only for binary files. Option --write may be specified several times to build composite flash image from several hex and/or binary files, apply binary patches etc. Files will be merged in the order they appear in the command line.

-v, --verify [method]
    verify flash after writing. Method can be crc (default) or read. Method read means that after writing all modified flash content is read back and compared to input flash image. Method crc means that after writing is completed target is configured to calculate CRC-16 over own flash and send results back so it ca be compared to crc of the input flash image. Method crc is much faster against read out all flash data.

-t, --test
    search for programmer and target and print various information of them.

-l, --lock lock_data
    specify lock data as hex string or list of lock qualifiers. Hex data must be exactly 1 byte (2 hex digits) or 16 bytes (32 hex digits), LSB first, depending on target. Lock qualifiers correspond to lock bit of target (see target datasheet). Not all targets support all qualifiers. Qualifiers are:
    debug - debug lock bit
    boot - boot lock bit (for targets CC111x, CC243x, CC251x)
    pages[:n[,k[,x-y]]] - specify what pages to lock (starting with 0), if target support per-page lock. (for targets CC253x, CC254x)
    flash[:a] - specify the size in KB of the upper flash area to lock if target support per-flash-area-size lock (for targets CC111x, CC243x, CC251x)
Qualifier list is delimited by semicolon (See example section).

--log [log_file]
    create log file with all operations performed. Useful for debugging cc-tool itself. Warning: if write operations is performed log file will also contain the written image!

--reset
    perform target reset. There's no need to use this option along with others because reset is performed anyway when needed

-n, --name target_name
    specify target name e.g. CC2530 etc. If specified target does not match detected one no further actions are performed. This option is not required.

-s, --flash-size specify target flash size
    specify target flash size in kilobytes. This option is required for any actions with MAC address when target is CC2430

SUPPORTED FILE FORMATS
Supported image file formats are Intel hex or binary. Format will be determined automatically by file extension (hex or bin) or my be specified explicitly by adding ,bin or ,hex after file name. See EXAMPLES section.

EXAMPLES

Read entire flash into binary file image.xxx
    cc-tool -r image.xxx,bin

Erase flash, write intel hex file image.hex and verify flash using default method
    cc-tool -v -e -w image.hex

Merge file image.hex and patch.bin (at offset 80), write resulting image, verify flash using read method
    cc-tool -v read -w image.hex --write patch.bin,80

Set debug lock bit
    cc-tool --lock debug

Set debug lock bit and lock pages 0,1,2,3,4
    cc-tool --lock debug;pages:0-4

Set debug lock bit, boot lock bit, and set lock size 8K
    cc-tool --lock debug;boot;flash:8

EXIT STATUS
cc-tool returns a zero exist status if all action were performed successfully. Non zero is returned in case of failure.

AUTHOR
George Stark (george-u (at) yandex.com)